<?xml version="1.0"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en-GB">
	<id>https://safernicotine.wiki/mediawiki/index.php?action=history&amp;feed=atom&amp;title=Module%3ASidebar%2Fstyles.css</id>
	<title>Module:Sidebar/styles.css - Revision history</title>
	<link rel="self" type="application/atom+xml" href="https://safernicotine.wiki/mediawiki/index.php?action=history&amp;feed=atom&amp;title=Module%3ASidebar%2Fstyles.css"/>
	<link rel="alternate" type="text/html" href="https://safernicotine.wiki/mediawiki/index.php?title=Module:Sidebar/styles.css&amp;action=history"/>
	<updated>2026-05-24T15:25:15Z</updated>
	<subtitle>Revision history for this page on the wiki</subtitle>
	<generator>MediaWiki 1.45.3</generator>
	<entry>
		<id>https://safernicotine.wiki/mediawiki/index.php?title=Module:Sidebar/styles.css&amp;diff=16883&amp;oldid=prev</id>
		<title>Richardpruen: 1 revision imported</title>
		<link rel="alternate" type="text/html" href="https://safernicotine.wiki/mediawiki/index.php?title=Module:Sidebar/styles.css&amp;diff=16883&amp;oldid=prev"/>
		<updated>2021-12-05T02:09:32Z</updated>

		<summary type="html">&lt;p&gt;1 revision imported&lt;/p&gt;
&lt;table style=&quot;background-color: #fff; color: #202122;&quot; data-mw=&quot;interface&quot;&gt;
				&lt;col class=&quot;diff-marker&quot; /&gt;
				&lt;col class=&quot;diff-content&quot; /&gt;
				&lt;col class=&quot;diff-marker&quot; /&gt;
				&lt;col class=&quot;diff-content&quot; /&gt;
				&lt;tr class=&quot;diff-title&quot; lang=&quot;en-GB&quot;&gt;
				&lt;td colspan=&quot;2&quot; style=&quot;background-color: #fff; color: #202122; text-align: center;&quot;&gt;← Older revision&lt;/td&gt;
				&lt;td colspan=&quot;2&quot; style=&quot;background-color: #fff; color: #202122; text-align: center;&quot;&gt;Revision as of 03:09, 5 December 2021&lt;/td&gt;
				&lt;/tr&gt;&lt;tr&gt;&lt;td colspan=&quot;4&quot; class=&quot;diff-notice&quot; lang=&quot;en-GB&quot;&gt;&lt;div class=&quot;mw-diff-empty&quot;&gt;(No difference)&lt;/div&gt;
&lt;/td&gt;&lt;/tr&gt;
&lt;!-- diff cache key uk_vapewiki:diff:1.41:old-16882:rev-16883 --&gt;
&lt;/table&gt;</summary>
		<author><name>Richardpruen</name></author>
	</entry>
	<entry>
		<id>https://safernicotine.wiki/mediawiki/index.php?title=Module:Sidebar/styles.css&amp;diff=16882&amp;oldid=prev</id>
		<title>Wikipedia &gt;Goszei: self-rv, it&#039;s a little tight</title>
		<link rel="alternate" type="text/html" href="https://safernicotine.wiki/mediawiki/index.php?title=Module:Sidebar/styles.css&amp;diff=16882&amp;oldid=prev"/>
		<updated>2021-09-20T01:15:45Z</updated>

		<summary type="html">&lt;p&gt;self-rv, it&amp;#039;s a little tight&lt;/p&gt;
&lt;table style=&quot;background-color: #fff; color: #202122;&quot; data-mw=&quot;interface&quot;&gt;
				&lt;tr class=&quot;diff-title&quot; lang=&quot;en-GB&quot;&gt;
				&lt;td colspan=&quot;1&quot; style=&quot;background-color: #fff; color: #202122; text-align: center;&quot;&gt;← Older revision&lt;/td&gt;
				&lt;td colspan=&quot;1&quot; style=&quot;background-color: #fff; color: #202122; text-align: center;&quot;&gt;Revision as of 02:15, 20 September 2021&lt;/td&gt;
				&lt;/tr&gt;&lt;tr&gt;&lt;td colspan=&quot;2&quot; class=&quot;diff-notice&quot; lang=&quot;en-GB&quot;&gt;&lt;div class=&quot;mw-diff-empty&quot;&gt;(No difference)&lt;/div&gt;
&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</summary>
		<author><name>Wikipedia &gt;Goszei</name></author>
	</entry>
	<entry>
		<id>https://safernicotine.wiki/mediawiki/index.php?title=Module:Sidebar/styles.css&amp;diff=8979&amp;oldid=prev</id>
		<title>Richardpruen: 1 revision imported</title>
		<link rel="alternate" type="text/html" href="https://safernicotine.wiki/mediawiki/index.php?title=Module:Sidebar/styles.css&amp;diff=8979&amp;oldid=prev"/>
		<updated>2021-09-07T02:47:41Z</updated>

		<summary type="html">&lt;p&gt;1 revision imported&lt;/p&gt;
&lt;table style=&quot;background-color: #fff; color: #202122;&quot; data-mw=&quot;interface&quot;&gt;
				&lt;col class=&quot;diff-marker&quot; /&gt;
				&lt;col class=&quot;diff-content&quot; /&gt;
				&lt;col class=&quot;diff-marker&quot; /&gt;
				&lt;col class=&quot;diff-content&quot; /&gt;
				&lt;tr class=&quot;diff-title&quot; lang=&quot;en-GB&quot;&gt;
				&lt;td colspan=&quot;2&quot; style=&quot;background-color: #fff; color: #202122; text-align: center;&quot;&gt;← Older revision&lt;/td&gt;
				&lt;td colspan=&quot;2&quot; style=&quot;background-color: #fff; color: #202122; text-align: center;&quot;&gt;Revision as of 03:47, 7 September 2021&lt;/td&gt;
				&lt;/tr&gt;&lt;tr&gt;&lt;td colspan=&quot;4&quot; class=&quot;diff-notice&quot; lang=&quot;en-GB&quot;&gt;&lt;div class=&quot;mw-diff-empty&quot;&gt;(No difference)&lt;/div&gt;
&lt;/td&gt;&lt;/tr&gt;
&lt;!-- diff cache key uk_vapewiki:diff:1.41:old-8978:rev-8979 --&gt;
&lt;/table&gt;</summary>
		<author><name>Richardpruen</name></author>
	</entry>
	<entry>
		<id>https://safernicotine.wiki/mediawiki/index.php?title=Module:Sidebar/styles.css&amp;diff=8978&amp;oldid=prev</id>
		<title>Wikipedia&gt;Goszei: perhaps 0.1 looks a little better</title>
		<link rel="alternate" type="text/html" href="https://safernicotine.wiki/mediawiki/index.php?title=Module:Sidebar/styles.css&amp;diff=8978&amp;oldid=prev"/>
		<updated>2021-09-03T04:47:17Z</updated>

		<summary type="html">&lt;p&gt;perhaps 0.1 looks a little better&lt;/p&gt;
&lt;table style=&quot;background-color: #fff; color: #202122;&quot; data-mw=&quot;interface&quot;&gt;
				&lt;col class=&quot;diff-marker&quot; /&gt;
				&lt;col class=&quot;diff-content&quot; /&gt;
				&lt;col class=&quot;diff-marker&quot; /&gt;
				&lt;col class=&quot;diff-content&quot; /&gt;
				&lt;tr class=&quot;diff-title&quot; lang=&quot;en-GB&quot;&gt;
				&lt;td colspan=&quot;2&quot; style=&quot;background-color: #fff; color: #202122; text-align: center;&quot;&gt;← Older revision&lt;/td&gt;
				&lt;td colspan=&quot;2&quot; style=&quot;background-color: #fff; color: #202122; text-align: center;&quot;&gt;Revision as of 05:47, 3 September 2021&lt;/td&gt;
				&lt;/tr&gt;&lt;tr&gt;&lt;td colspan=&quot;2&quot; class=&quot;diff-lineno&quot; id=&quot;mw-diff-left-l96&quot;&gt;Line 96:&lt;/td&gt;
&lt;td colspan=&quot;2&quot; class=&quot;diff-lineno&quot;&gt;Line 96:&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td class=&quot;diff-marker&quot;&gt;&lt;/td&gt;&lt;td style=&quot;background-color: #f8f9fa; color: #202122; font-size: 88%; border-style: solid; border-width: 1px 1px 1px 4px; border-radius: 0.33em; border-color: #eaecf0; vertical-align: top; white-space: pre-wrap;&quot;&gt;&lt;br&gt;&lt;/td&gt;&lt;td class=&quot;diff-marker&quot;&gt;&lt;/td&gt;&lt;td style=&quot;background-color: #f8f9fa; color: #202122; font-size: 88%; border-style: solid; border-width: 1px 1px 1px 4px; border-radius: 0.33em; border-color: #eaecf0; vertical-align: top; white-space: pre-wrap;&quot;&gt;&lt;br&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td class=&quot;diff-marker&quot;&gt;&lt;/td&gt;&lt;td style=&quot;background-color: #f8f9fa; color: #202122; font-size: 88%; border-style: solid; border-width: 1px 1px 1px 4px; border-radius: 0.33em; border-color: #eaecf0; vertical-align: top; white-space: pre-wrap;&quot;&gt;&lt;div&gt;.sidebar-title-with-pretitle {&lt;/div&gt;&lt;/td&gt;&lt;td class=&quot;diff-marker&quot;&gt;&lt;/td&gt;&lt;td style=&quot;background-color: #f8f9fa; color: #202122; font-size: 88%; border-style: solid; border-width: 1px 1px 1px 4px; border-radius: 0.33em; border-color: #eaecf0; vertical-align: top; white-space: pre-wrap;&quot;&gt;&lt;div&gt;.sidebar-title-with-pretitle {&lt;/div&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td class=&quot;diff-marker&quot; data-marker=&quot;−&quot;&gt;&lt;/td&gt;&lt;td style=&quot;color: #202122; font-size: 88%; border-style: solid; border-width: 1px 1px 1px 4px; border-radius: 0.33em; border-color: #ffe49c; vertical-align: top; white-space: pre-wrap;&quot;&gt;&lt;div&gt;	padding: 0 0.4em;&lt;/div&gt;&lt;/td&gt;&lt;td class=&quot;diff-marker&quot; data-marker=&quot;+&quot;&gt;&lt;/td&gt;&lt;td style=&quot;color: #202122; font-size: 88%; border-style: solid; border-width: 1px 1px 1px 4px; border-radius: 0.33em; border-color: #a3d3ff; vertical-align: top; white-space: pre-wrap;&quot;&gt;&lt;div&gt;	padding: 0&lt;ins style=&quot;font-weight: bold; text-decoration: none;&quot;&gt;.1em &lt;/ins&gt;0.4em;&lt;/div&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td class=&quot;diff-marker&quot;&gt;&lt;/td&gt;&lt;td style=&quot;background-color: #f8f9fa; color: #202122; font-size: 88%; border-style: solid; border-width: 1px 1px 1px 4px; border-radius: 0.33em; border-color: #eaecf0; vertical-align: top; white-space: pre-wrap;&quot;&gt;&lt;div&gt;}&lt;/div&gt;&lt;/td&gt;&lt;td class=&quot;diff-marker&quot;&gt;&lt;/td&gt;&lt;td style=&quot;background-color: #f8f9fa; color: #202122; font-size: 88%; border-style: solid; border-width: 1px 1px 1px 4px; border-radius: 0.33em; border-color: #eaecf0; vertical-align: top; white-space: pre-wrap;&quot;&gt;&lt;div&gt;}&lt;/div&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;&lt;td class=&quot;diff-marker&quot;&gt;&lt;/td&gt;&lt;td style=&quot;background-color: #f8f9fa; color: #202122; font-size: 88%; border-style: solid; border-width: 1px 1px 1px 4px; border-radius: 0.33em; border-color: #eaecf0; vertical-align: top; white-space: pre-wrap;&quot;&gt;&lt;br&gt;&lt;/td&gt;&lt;td class=&quot;diff-marker&quot;&gt;&lt;/td&gt;&lt;td style=&quot;background-color: #f8f9fa; color: #202122; font-size: 88%; border-style: solid; border-width: 1px 1px 1px 4px; border-radius: 0.33em; border-color: #eaecf0; vertical-align: top; white-space: pre-wrap;&quot;&gt;&lt;br&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;/table&gt;</summary>
		<author><name>Wikipedia&gt;Goszei</name></author>
	</entry>
	<entry>
		<id>https://safernicotine.wiki/mediawiki/index.php?title=Module:Sidebar/styles.css&amp;diff=7070&amp;oldid=prev</id>
		<title>Richardpruen: 1 revision imported</title>
		<link rel="alternate" type="text/html" href="https://safernicotine.wiki/mediawiki/index.php?title=Module:Sidebar/styles.css&amp;diff=7070&amp;oldid=prev"/>
		<updated>2021-08-29T04:20:11Z</updated>

		<summary type="html">&lt;p&gt;1 revision imported&lt;/p&gt;
&lt;table style=&quot;background-color: #fff; color: #202122;&quot; data-mw=&quot;interface&quot;&gt;
				&lt;col class=&quot;diff-marker&quot; /&gt;
				&lt;col class=&quot;diff-content&quot; /&gt;
				&lt;col class=&quot;diff-marker&quot; /&gt;
				&lt;col class=&quot;diff-content&quot; /&gt;
				&lt;tr class=&quot;diff-title&quot; lang=&quot;en-GB&quot;&gt;
				&lt;td colspan=&quot;2&quot; style=&quot;background-color: #fff; color: #202122; text-align: center;&quot;&gt;← Older revision&lt;/td&gt;
				&lt;td colspan=&quot;2&quot; style=&quot;background-color: #fff; color: #202122; text-align: center;&quot;&gt;Revision as of 05:20, 29 August 2021&lt;/td&gt;
				&lt;/tr&gt;&lt;tr&gt;&lt;td colspan=&quot;4&quot; class=&quot;diff-notice&quot; lang=&quot;en-GB&quot;&gt;&lt;div class=&quot;mw-diff-empty&quot;&gt;(No difference)&lt;/div&gt;
&lt;/td&gt;&lt;/tr&gt;
&lt;!-- diff cache key uk_vapewiki:diff:1.41:old-7069:rev-7070 --&gt;
&lt;/table&gt;</summary>
		<author><name>Richardpruen</name></author>
	</entry>
	<entry>
		<id>https://safernicotine.wiki/mediawiki/index.php?title=Module:Sidebar/styles.css&amp;diff=7069&amp;oldid=prev</id>
		<title>Wikipedia&gt;Izno: add that back</title>
		<link rel="alternate" type="text/html" href="https://safernicotine.wiki/mediawiki/index.php?title=Module:Sidebar/styles.css&amp;diff=7069&amp;oldid=prev"/>
		<updated>2021-08-02T22:44:08Z</updated>

		<summary type="html">&lt;p&gt;add that back&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;/* {{pp-template}} */&lt;br /&gt;
/* TODO: Invert width design to be &amp;quot;mobile first&amp;quot; */&lt;br /&gt;
.sidebar {&lt;br /&gt;
	/* TODO: Ask if we should have max-width 22em instead */&lt;br /&gt;
	width: 22em;&lt;br /&gt;
	/* @noflip */&lt;br /&gt;
	float: right;&lt;br /&gt;
	/* @noflip */&lt;br /&gt;
	clear: right;&lt;br /&gt;
	/* @noflip */&lt;br /&gt;
	margin: 0.5em 0 1em 1em;&lt;br /&gt;
	background: #f8f9fa;&lt;br /&gt;
	border: 1px solid #aaa;&lt;br /&gt;
	padding: 0.2em;&lt;br /&gt;
	text-align: center;&lt;br /&gt;
	line-height: 1.4em;&lt;br /&gt;
	font-size: 88%;&lt;br /&gt;
	border-collapse: collapse;&lt;br /&gt;
	/* Timeless has display: none on .nomobile at mobile resolutions, so we&lt;br /&gt;
	 * unhide it with display: table and let precedence and proximity win.&lt;br /&gt;
	 */&lt;br /&gt;
	display: table; &lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Unfortunately, so does Minerva desktop, except Minerva drops an&lt;br /&gt;
 * !important on the declaration. So we have to be mean for Minerva users.&lt;br /&gt;
 * Mobile removes the element entirely with `wgMFRemovableClasses` in &lt;br /&gt;
 * https://github.com/wikimedia/operations-mediawiki-config/blob/master/&lt;br /&gt;
 wmf-config/InitialiseSettings.php#L16992&lt;br /&gt;
 * which is why displaying it categorically with display: table works.&lt;br /&gt;
 * We don&amp;#039;t really want to expose the generic user in the wild on mobile to have&lt;br /&gt;
 * to deal with sidebars. (Maybe the ones with collapsible lists, so that&lt;br /&gt;
 * might be an improvement. That is blocked on [[:phab:T111565]].)&lt;br /&gt;
 */&lt;br /&gt;
body.skin-minerva .sidebar {&lt;br /&gt;
	display: table !important;&lt;br /&gt;
	/* also, minerva is way too aggressive about other stylings on tables.&lt;br /&gt;
	 * TODO remove when this template gets moved to a div. plans on talk page.&lt;br /&gt;
	 * We always float right on Minerva because that&amp;#039;s a lot of extra CSS&lt;br /&gt;
	 * otherwise. */&lt;br /&gt;
    float: right !important;&lt;br /&gt;
    margin: 0.5em 0 1em 1em !important;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.sidebar-subgroup {&lt;br /&gt;
	width: 100%;&lt;br /&gt;
	margin: 0;&lt;br /&gt;
	border-spacing: 0;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.sidebar-left {&lt;br /&gt;
	/* @noflip */&lt;br /&gt;
	float: left;&lt;br /&gt;
	/* @noflip */&lt;br /&gt;
	clear: left;&lt;br /&gt;
	/* @noflip */&lt;br /&gt;
	margin: 0.5em 1em 1em 0;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.sidebar-none {&lt;br /&gt;
	float: none;&lt;br /&gt;
	clear: both;&lt;br /&gt;
	/* @noflip */&lt;br /&gt;
	margin: 0.5em 1em 1em 0;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.sidebar-outer-title {&lt;br /&gt;
	padding: 0 0.4em 0.2em;&lt;br /&gt;
	font-size: 125%;&lt;br /&gt;
	line-height: 1.2em;&lt;br /&gt;
	font-weight: bold;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.sidebar-top-image {&lt;br /&gt;
	padding: 0.4em;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.sidebar-top-caption,&lt;br /&gt;
.sidebar-pretitle-with-top-image,&lt;br /&gt;
.sidebar-caption {&lt;br /&gt;
	padding: 0.2em 0.4em 0;&lt;br /&gt;
	line-height: 1.2em;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.sidebar-pretitle {&lt;br /&gt;
	padding: 0.4em 0.4em 0;&lt;br /&gt;
	line-height: 1.2em;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.sidebar-title,&lt;br /&gt;
.sidebar-title-with-pretitle {&lt;br /&gt;
	padding: 0.2em 0.8em;&lt;br /&gt;
	font-size: 145%;&lt;br /&gt;
	line-height: 1.2em;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.sidebar-title-with-pretitle {&lt;br /&gt;
	padding: 0 0.4em;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.sidebar-image {&lt;br /&gt;
	padding: 0.2em 0.4em 0.4em;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.sidebar-heading {&lt;br /&gt;
	padding: 0.1em 0.4em;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.sidebar-content {&lt;br /&gt;
	padding: 0 0.5em 0.4em;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.sidebar-content-with-subgroup {&lt;br /&gt;
	padding: 0.1em 0.4em 0.2em;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.sidebar-above,&lt;br /&gt;
.sidebar-below {&lt;br /&gt;
	padding: 0.3em 0.8em;&lt;br /&gt;
	font-weight: bold;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.sidebar-collapse .sidebar-above,&lt;br /&gt;
.sidebar-collapse .sidebar-below {&lt;br /&gt;
	border-top: 1px solid #aaa;&lt;br /&gt;
	border-bottom: 1px solid #aaa;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.sidebar-navbar {&lt;br /&gt;
	text-align: right;&lt;br /&gt;
	font-size: 115%;&lt;br /&gt;
	padding: 0 0.4em 0.4em;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.sidebar-list-title {&lt;br /&gt;
	padding: 0 0.4em;&lt;br /&gt;
	text-align: left;&lt;br /&gt;
	font-weight: bold;&lt;br /&gt;
	line-height: 1.6em;&lt;br /&gt;
	font-size: 105%;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* centered text with mw-collapsible headers is finicky */&lt;br /&gt;
.sidebar-list-title-c {&lt;br /&gt;
	padding: 0 0.4em;&lt;br /&gt;
	text-align: center;&lt;br /&gt;
	margin: 0 3.3em;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
@media (max-width: 720px) {&lt;br /&gt;
	/* users have wide latitude to set arbitrary width and margin :(&lt;br /&gt;
	   &amp;quot;Super-specific&amp;quot; selector to prevent overriding this appearance by&lt;br /&gt;
	   lower level sidebars too */&lt;br /&gt;
	body.mediawiki .sidebar {&lt;br /&gt;
		width: 100% !important;&lt;br /&gt;
		clear: both;&lt;br /&gt;
		float: none !important; /* Remove when we div based; Minerva is dumb */&lt;br /&gt;
		margin-left: 0 !important;&lt;br /&gt;
		margin-right: 0 !important;&lt;br /&gt;
	}&lt;br /&gt;
	/* TODO: We might consider making all links wrap at small resolutions and then&lt;br /&gt;
	 * only introduce nowrap at higher resolutions. Do when we invert the media&lt;br /&gt;
	 * query.&lt;br /&gt;
	 */&lt;br /&gt;
}&lt;/div&gt;</summary>
		<author><name>Wikipedia&gt;Izno</name></author>
	</entry>
</feed>